Subject: Re: [PATCH net-next] xsk: introduce xsk_dma_ops

From: Jakub Kicinski <[email-masked]>
Date: Mon, 24 Apr 2023 08:28:56 -0700

On Sun, 23 Apr 2023 09:54:28 +0800 Xuan Zhuo wrote:
> On Fri, 21 Apr 2023 06:50:59 -0700, Jakub Kicinski <[email-masked]> wrote:
> > On Fri, 21 Apr 2023 15:31:04 +0800 Xuan Zhuo wrote:  
> > > I am not particularly familiar with dma-bufs. I want to know if this mechanism
> > > can solve the problem of virtio-net.
> > >
> > > I saw this framework, allowing the driver do something inside the ops of
> > > dma-bufs.
> > >
> > > If so, is it possible to propose a new patch based on dma-bufs?  
> >
> > I haven't looked in detail, maybe Olek has? AFAIU you'd need to rework
> > uAPI of XSK to allow user to pass in a dma-buf region rather than just
> > a user VA.  
> 
> This seems to be a big job. Can we first receive this patch.

To me it looks like a very obvious workaround for the fact that virtio
does not make normal use of the DMA API, and (for reasons which perhaps
due to my meager intellect I do not grasp) you are not allowed to fix
that. Regardless, we have a path forward so I vote "no" to the patch
under discussion.